<?php 
define('THEME_NAME', $bavotasan_theme_data['Name']);
define('THEME_AUTHOR', $bavotasan_theme_data['Author']);
define('THEME_HOMEPAGE', $bavotasan_theme_data['URI']);
define('THEME_VERSION', trim($bavotasan_theme_data['Version']));
define('THEME_URL', get_bloginfo('template_url'));
define('THEME_FILE', str_replace(" ", "-", strtolower(THEME_NAME)));
include 'includes/mataboxes.php';
include 'includes/social.php';
include 'includes/walkernav.php';
include 'includes/resize.php';

include('functions/functions.php');
include('functions/customizer.php');

include('posttypes/post-type-gallary.php');

// This theme uses wp_nav_menu()
if(function_exists('register_nav_menu')) {
	add_theme_support( 'nav-menus' );
	register_nav_menu('main', 'Main Navigation Menu');
	register_nav_menu('footer', 'Footer Navigation Menu');
	//register_nav_menu('footer_wid1', 'Footer widget 1<sup>st</sup> Menu');
	//register_nav_menu('footer_wid2', 'Footer widget 2<sup>nd</sup>Navigation Menu');
}


class Sub_Menu extends Walker_Nav_Menu{
	//start of the sub menu wrap
	function start_lvl(&$output, $depth) {
		$output .= '<ul class="dropdown-menu">';
	}

	//end of the sub menu wrap
	function end_lvl(&$output, $depth) {
		$output .= '</ul>';
	}

	//add the description to the menu item output
	function start_el(&$output, $item, $depth, $args) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		$class_names = $value = '';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';

		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

		$item_output = $args->before;
		$item_output .= '<a data-toggle="dropdown"'. $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		if(strlen($item->description)>2){
			$item_output .= '<br /><span class="sub">' . $item->description . '</span>';
		}
		$item_output .= '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
}
/*class Sub_Menu extends Walker_Nav_Menu {
 function start_lvl(&$output, $depth) {
$indent = str_repeat('\t ', 'data-toggle="dropdown"'.$depth);
$output .= "\n$indent<b class=\"caret\"></b><ul class=\"dropdown-menu\">\n";
}
function end_lvl(&$output, $depth) {
$indent = str_repeat('\t ', 'data-toggle="dropdown"'.$depth);
$output .= "$indent</ul>\n";
}
} */
function nav_menu_first_last( $items ) {
	$position = strrpos($items, 'class="menu-item', -1);
	$items=substr_replace($items, 'menu-item-last ', $position+7, 0);
	$position = strpos($items, 'class="menu-item');
	$items=substr_replace($items, 'menu-item-first ', $position+7, 0);
	return $items;
}
add_filter( 'wp_nav_menu_items', 'nav_menu_first_last' );

/* ADDING NEW THUMBNAIL STUFF */
if(!function_exists('pbt_AddThumbColumn') && function_exists('add_theme_support')) {


	function pbt_AddThumbColumn($cols) {
		$cols['thumbnail'] = __('Thumbnail', "enetspark");
		return $cols;
	}

	function pbt_AddThumbValue($column_name, $post_id) {
		$width = (int) 35;
		$height = (int) 35;

		if ( 'thumbnail' == $column_name ) {
			// thumbnail of WP 2.9
			$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
			// image from gallery
			if ($thumbnail_id) {
				$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			}
			if(isset($thumb) && $thumb) {
				echo $thumb;
			} else {
				echo __('None', "enetspark");
			}
		}
	}

	// for posts
	add_filter( 'manage_posts_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_posts_custom_column', 'pbt_AddThumbValue', 10, 2 );

	// for pages
	add_filter( 'manage_pages_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_pages_custom_column', 'pbt_AddThumbValue', 10, 2 );
}


// Theme excerpts
function theme_excerpt($num, $readmore = true) {


	$limit = $num;
	if(!$limit) $limit = 55;
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...'.$link;
	} else {
		$excerpt = implode(" ",$excerpt).$link;
	}
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	echo '<p>'.$excerpt.'</p>';
}


/* Public */
// Custom post type: public
$labels = array(
		'name' => _x('Tours', 'post type general name'),
		'singular_name' => _x('Tours', 'post type singular name'),
		'add_new' => _x('Add New', 'tour'),
		'add_new_item' => __('Add New tour'),
		'edit_item' => __('Edit Tour'),
		'new_item' => __('New Tour'),
		'view_item' => __('View public'),
		'search_items' => __('Search Tour'),
		'not_found' =>  __('No Tour found'),
		'not_found_in_trash' => __('No Tour found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Tour'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'taxonomies' => array('tour-category'),
		'supports' => array('title', 'editor', 'thumbnail')
);
register_taxonomy('tour-category',array('tour'), array(
		'hierarchical' => true,
		'labels' => $pageLabels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'tour-category' ),
));
register_post_type('tour',$args);

add_action('wp_print_scripts', 'enet_theme_js');
function enet_theme_js(){
	wp_enqueue_script('jquery');	
	
	wp_enqueue_script('https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.min.js');
	wp_enqueue_script('jquery.prettyPhoto', THEME_URL.'/js/jquery.prettyPhoto.js');

}

add_action( 'wp_enqueue_scripts', 'enet_css' );
function enet_css(){
	wp_enqueue_style("prettyPhoto", THEME_URL.'/css/prettyPhoto.css');
	//wp_enqueue_style("pages", THEME_URL.'/css/pages.css');
}

// Custom post type: Testimonial
$pageLabels = array(
		'name' => _x( 'Testimonial Categories', 'taxonomy general name' ),
		'singular_name' => _x( 'Category', 'taxonomy singular name' ),
		'search_items' =>  __( 'Search Categories' ),
		'all_items' => __( 'All Categories' ),
		'parent_item' => __( 'Parent Category' ),
		'parent_item_colon' => __( 'Parent Category:' ),
		'edit_item' => __( 'Edit Category' ),
		'update_item' => __( 'Update Category' ),
		'add_new_item' => __( 'Add New Category' ),
		'new_item_name' => __( 'New Category Name' ),
		'menu_name' => __( 'Category' ),
);


$labels = array(
		'name' => _x('Testimonial', 'post type general name'),
		'singular_name' => _x('Testimonial', 'post type singular name'),
		'add_new' => _x('Add New', 'testimonial'),
		'add_new_item' => __('Add New testimonial'),
		'edit_item' => __('Edit testimonial'),
		'new_item' => __('New testimonial'),
		'view_item' => __('View testimonial'),
		'search_items' => __('Search testimonial'),
		'not_found' =>  __('No testimonial found'),
		'not_found_in_trash' => __('No testimonial found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Testimonial'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,

		'supports' => array('title','thumbnail','editor')
);
register_taxonomy('testimonial-category',array('testimonial'), array(
		'hierarchical' => true,
		'labels' => $pageLabels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'testimonial-category' ),
));
register_post_type('testimonial',$args);




// Custom post type: Services
$labels = array(
		'name' => _x('Services', 'post type general name'),
		'singular_name' => _x('Services', 'post type singular name'),
		'add_new' => _x('Add New', 'service'),
		'add_new_item' => __('Add New service'),
		'edit_item' => __('Edit service'),
		'new_item' => __('New service'),
		'view_item' => __('View service'),
		'search_items' => __('Search service'),
		'not_found' =>  __('No service found'),
		'not_found_in_trash' => __('No service found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Services'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title', 'editor', 'thumbnail')
);
register_post_type('services',$args);

/****Post Type Team****/

$labels = array(
		'name' => _x('Team', 'post type general name'),
		'singular_name' => _x('Team', 'post type singular name'),
		'add_new' => _x('Add New', 'service'),
		'add_new_item' => __('Add New service'),
		'edit_item' => __('Edit team'),
		'new_item' => __('New Member'),
		'view_item' => __('View Member'),
		'search_items' => __('Search Member'),
		'not_found' =>  __('No Member found'),
		'not_found_in_trash' => __('No Member found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Team'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title', 'editor', 'thumbnail')
);
register_post_type('team',$args);


// Initiating the sidebars
if (function_exists("register_sidebar")) {
	register_sidebar(array(
			'name' => 'Sidebar Left 1',
			'before_widget' => '<div class="col-xs-12">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
	register_sidebar(array(
			'name' => 'Sidebar Left 2',
			'before_widget' => '<div class="col-xs-12">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
	register_sidebar(array(
			'name' => 'Sidebar Left 3',
			'before_widget' => '<div class="col-xs-12">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
	register_sidebar(array(
			'name' => 'Footer Sidebar 2',
			'before_widget' => '<div class="col-md-4">',
			'after_widget' => '</div>',
			'before_title' => '<div class="title-box clearfix "><h3 class="title-box_primary">',
			'after_title' => '</h3></div>',
	));
	register_sidebar(array(
			'name' => 'Contact Us Footer',
			'before_widget' => '<div class="col-md-4">',
			'after_widget' => '</div>',
			'before_title' => '<div class="title-box clearfix "><h3 class="title-box_primary">',
			'after_title' => '</h3></div>',
	));
	register_sidebar(array(
			'name' => 'Footer Quick Links',
			'before_widget' => '<div class="col-md-4">',
			'after_widget' => '</div>',
			'before_title' => '<div class="title-box clearfix "><h3 class="title-box_primary">',
			'after_title' => '</h3></div>',
	));
	register_sidebar(array(
			'name' => 'Sidebar About First',
			'before_widget' => '<div class="col-xs-12">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => 'Sidebar About Second',
			'before_widget' => '<div class="col-xs-12">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => 'Contact Sidebar for Office Address',
			'before_widget' => '<div class="col-md-6">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="section-title">',
			'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => 'Contact Sidebar for Timings',
			'before_widget' => '<div class="col-md-6">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="section-title">',
			'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => 'Contact Us Map',
			'before_widget' => '',
			'after_widget' => '',
			'before_title' => '<h3 class="section-title">',
			'after_title' => '</h3>',
	));
}

function customize_customtaxonomy_archive_display ( $query ) {
	if (($query->is_main_query()) && (is_tax('tour-category')))
			
		$query->set( 'posts_per_page', '3' );
	$query->set( 'orderby', 'title' );
	$query->set( 'order', 'ASC' );
}

//Hook the function

add_action( 'pre_get_posts', 'customize_customtaxonomy_archive_display' );
add_image_size( 'feature', 720, 550, true );

/*gallery shorcode*/
function amethyst_gallery_atts( $out, $pairs, $atts ) {
	//print_r($out);
	$atts = shortcode_atts( array(
			'columns' => '3',
			'size' => 'full',
	), $atts );

	$out['columns'] = $atts['columns'];
	$out['size'] = $atts['size'];

	return $out;

}
add_filter( 'shortcode_atts_gallery', 'amethyst_gallery_atts', 10, 3 );
/*Image Resize*/

if(!function_exists('vt_resize')){
	function vt_resize($attach_id = null, $img_url = null, $width, $height, $crop = false){
		if($attach_id){
			// this is an attachment, so we have the ID
			$image_src = wp_get_attachment_image_src($attach_id, 'full');
			$file_path = get_attached_file($attach_id);
		} elseif($img_url){
			// this is not an attachment, let's use the image url
			$file_path = parse_url($img_url);
			$file_path = $_SERVER['DOCUMENT_ROOT'].$file_path['path'];
			// Look for Multisite Path
			if(file_exists($file_path) === false){
				global $blog_id;
				$file_path = parse_url($img_url);
				if(preg_match('/files/', $file_path['path'])){
					$path = explode('/', $file_path['path']);
					foreach($path as $k => $v){
						if($v == 'files'){
							$path[$k-1] = 'wp-content/blogs.dir/'.$blog_id;
						}
					}
					$path = implode('/', $path);
				}
				$file_path = $_SERVER['DOCUMENT_ROOT'].$path;
			}
			//$file_path = ltrim( $file_path['path'], '/' );
			//$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
			$orig_size = getimagesize($file_path);
			$image_src[0] = $img_url;
			$image_src[1] = $orig_size[0];
			$image_src[2] = $orig_size[1];
		}
		$file_info = pathinfo($file_path);
		// check if file exists
		$base_file = $file_info['dirname'].'/'.$file_info['filename'].'.'.$file_info['extension'];
		if(!file_exists($base_file))
			return;
		$extension = '.'. $file_info['extension'];
		// the image path without the extension
		$no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];
		$cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;
		// checking if the file size is larger than the target size
		// if it is smaller or the same size, stop right here and return
		if($image_src[1] > $width){
			// the file is larger, check if the resized version already exists (for $crop = true but will also work for $crop = false if the sizes match)
			if(file_exists($cropped_img_path)){
				$cropped_img_url = str_replace(basename($image_src[0]), basename($cropped_img_path), $image_src[0]);
				$vt_image = array(
						'url'   => $cropped_img_url,
						'width' => $width,
						'height'    => $height
				);
				return $vt_image;
			}
			// $crop = false or no height set
			if($crop == false OR !$height){
				// calculate the size proportionaly
				$proportional_size = wp_constrain_dimensions($image_src[1], $image_src[2], $width, $height);
				$resized_img_path = $no_ext_path.'-'.$proportional_size[0].'x'.$proportional_size[1].$extension;
				// checking if the file already exists
				if(file_exists($resized_img_path)){
					$resized_img_url = str_replace(basename($image_src[0]), basename($resized_img_path), $image_src[0]);
					$vt_image = array(
							'url'   => $resized_img_url,
							'width' => $proportional_size[0],
							'height'    => $proportional_size[1]
					);
					return $vt_image;
				}
			}
			// check if image width is smaller than set width
			$img_size = getimagesize($file_path);
			if($img_size[0] <= $width) $width = $img_size[0];
			// Check if GD Library installed
			if(!function_exists('imagecreatetruecolor')){
				echo 'GD Library Error: imagecreatetruecolor does not exist - please contact your webhost and ask them to install the GD library';
				return;
			}
			// no cache files - let's finally resize it
			$new_img_path = image_resize($file_path, $width, $height, $crop);
			$new_img_size = getimagesize($new_img_path);
			$new_img = str_replace(basename($image_src[0]), basename($new_img_path), $image_src[0]);
			// resized output
			$vt_image = array(
					'url'   => $new_img,
					'width' => $new_img_size[0],
					'height'    => $new_img_size[1]
			);
			return $vt_image;
		}
		// default output - without resizing
		$vt_image = array(
				'url'   => $image_src[0],
				'width' => $width,
				'height'    => $height
		);
		return $vt_image;
	}
}
?>
