<?php 
define('THEME_NAME', $bavotasan_theme_data['Name']);
define('THEME_AUTHOR', $bavotasan_theme_data['Author']);
define('THEME_HOMEPAGE', $bavotasan_theme_data['URI']);
define('THEME_VERSION', trim($bavotasan_theme_data['Version']));
define('THEME_URL', get_bloginfo('template_url'));
define('THEME_FILE', str_replace(" ", "-", strtolower(THEME_NAME)));
include 'includes/mataboxes.php';
include 'includes/social.php';
include 'wp-nivo-slider/wp-nivo-slider.php';

include('functions/functions.php');
include('functions/customizer.php');

include('posttypes/post-type-gallary.php');

// This theme uses wp_nav_menu()
if(function_exists('register_nav_menu')) {
	add_theme_support( 'nav-menus' );
	register_nav_menu('main', 'Main Navigation Menu');
	register_nav_menu('footer', 'Footer Navigation Menu');
}

class Sub_Menu extends Walker_Nav_Menu {
	function start_lvl(&$output, $depth) {
		$indent = str_repeat("\t", $depth);
		$output .= "\n$indent<ul class=\"dropdown-menu\">\n";
	}
	function end_lvl(&$output, $depth) {
		$indent = str_repeat("\t", $depth);
		$output .= "$indent</ul>\n";
	}
}
function nav_menu_first_last( $items ) {
	$position = strrpos($items, 'class="menu-item', -1);
	$items=substr_replace($items, 'menu-item-last ', $position+7, 0);
	$position = strpos($items, 'class="menu-item');
	$items=substr_replace($items, 'menu-item-first ', $position+7, 0);
	return $items;
}
add_filter( 'wp_nav_menu_items', 'nav_menu_first_last' );

/* ADDING NEW THUMBNAIL STUFF */
if(!function_exists('pbt_AddThumbColumn') && function_exists('add_theme_support')) {


	function pbt_AddThumbColumn($cols) {
		$cols['thumbnail'] = __('Thumbnail', "enetspark");
		return $cols;
	}

	function pbt_AddThumbValue($column_name, $post_id) {
		$width = (int) 35;
		$height = (int) 35;

		if ( 'thumbnail' == $column_name ) {
			// thumbnail of WP 2.9
			$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
			// image from gallery
			if ($thumbnail_id) {
				$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			}
			if(isset($thumb) && $thumb) {
				echo $thumb;
			} else {
				echo __('None', "enetspark");
			}
		}
	}

	// for posts
	add_filter( 'manage_posts_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_posts_custom_column', 'pbt_AddThumbValue', 10, 2 );

	// for pages
	add_filter( 'manage_pages_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_pages_custom_column', 'pbt_AddThumbValue', 10, 2 );
}


// Theme excerpts
function theme_excerpt($num, $readmore = true) {


	$limit = $num;
	if(!$limit) $limit = 55;
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...'.$link;
	} else {
		$excerpt = implode(" ",$excerpt).$link;
	}
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	echo '<p>'.$excerpt.'</p>';
}


/* Public */
// Custom post type: public
$labels = array(
		'name' => _x('Tours', 'post type general name'),
		'singular_name' => _x('Tours', 'post type singular name'),
		'add_new' => _x('Add New', 'tour'),
		'add_new_item' => __('Add New tour'),
		'edit_item' => __('Edit Tour'),
		'new_item' => __('New Tour'),
		'view_item' => __('View public'),
		'search_items' => __('Search Tour'),
		'not_found' =>  __('No Tour found'),
		'not_found_in_trash' => __('No Tour found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Tour'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'taxonomies' => array('tour-category'),
		'supports' => array('title', 'editor', 'thumbnail')
);
register_taxonomy('tour-category',array('tour'), array(
		'hierarchical' => true,
		'labels' => $pageLabels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'tour-category' ),
));
register_post_type('tour',$args);

add_action('wp_print_scripts', 'enet_theme_js');
function enet_theme_js(){
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-1.7.2.min', THEME_URL.'/js/jquery-1.7.2.min.js');
	wp_enqueue_script('jcarousellite_0.1.0', THEME_URL.'/js/jcarousel.js');

}

add_action( 'wp_enqueue_scripts', 'enet_css' );
function enet_css(){
	wp_enqueue_style("nivo-sli", THEME_URL.'/css/nivo-sli.css');
	wp_enqueue_style("pages", THEME_URL.'/css/pages.css');
}

// Custom post type: slider
$pageLabels = array(
		'name' => _x( 'Slider Categories', 'taxonomy general name' ),
		'singular_name' => _x( 'Category', 'taxonomy singular name' ),
		'search_items' =>  __( 'Search Categories' ),
		'all_items' => __( 'All Categories' ),
		'parent_item' => __( 'Parent Category' ),
		'parent_item_colon' => __( 'Parent Category:' ),
		'edit_item' => __( 'Edit Category' ),
		'update_item' => __( 'Update Category' ),
		'add_new_item' => __( 'Add New Category' ),
		'new_item_name' => __( 'New Category Name' ),
		'menu_name' => __( 'Category' ),
);


$labels = array(
		'name' => _x('Home Slider', 'post type general name'),
		'singular_name' => _x('Home Slider', 'post type singular name'),
		'add_new' => _x('Add New', 'slider'),
		'add_new_item' => __('Add New slider'),
		'edit_item' => __('Edit Slider'),
		'new_item' => __('New Slider'),
		'view_item' => __('View Slider'),
		'search_items' => __('Search Slider'),
		'not_found' =>  __('No Slider found'),
		'not_found_in_trash' => __('No slider found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Slider'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		
		'supports' => array('title','thumbnail','editor')
);
register_post_type('slider',$args);




// Custom post type: Services
$labels = array(
		'name' => _x('Services', 'post type general name'),
		'singular_name' => _x('Services', 'post type singular name'),
		'add_new' => _x('Add New', 'service'),
		'add_new_item' => __('Add New service'),
		'edit_item' => __('Edit service'),
		'new_item' => __('New service'),
		'view_item' => __('View service'),
		'search_items' => __('Search service'),
		'not_found' =>  __('No service found'),
		'not_found_in_trash' => __('No service found in Trash'),
		'parent_item_colon' => '',
		'menu_name' => 'Services'

);

$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'has_archive' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title', 'editor', 'thumbnail')
);
register_post_type('services',$args);


// Initiating the sidebars
if (function_exists("register_sidebar")) {
	register_sidebar(array(
			'name' => 'Sidebar',
			'before_widget' => '<div class="side-widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
	register_sidebar(array(
			'name' => 'Google Map',
			'before_widget' => '<div class="map">',
			'after_widget' => '</div>'
	));
	register_sidebar(array(
			'name' => 'Contact Info',
			'before_widget' => '<div id="side-widget2">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
	register_sidebar(array(
			'name' => 'Hours',
			'before_widget' => '<div id="side-widget2">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
	));
}
?>