<?php 
/* Adding Meta Boxes FOR Tour*/

function page() {
	add_meta_box( 'cm_stock_market', 'Details For Tour', 'custom_stock_market', 'tour', 'normal', 'high' );
}


add_action('add_meta_boxes', 'page');

function custom_stock_market() {
	global $wpdb;
	global $post_ID;
	$duration = get_post_meta($post_ID,'_duration',true);
	$specification = get_post_meta($post_ID,'_specification',true);
		
		
	?>

<table width="100%">
	<tr>
		<td width="25%" valign="top"><label for="subtitle">Add Tour Duration </label>
		</td>
		<?php
		if (function_exists('wp_tiny_mce'))
			wp_tiny_mce(false, array(
					'mode' => 'exact',
					'elements' => '_specification',
					'height' => 200,
					'plugins' => 'inlinepopups,wpdialogs,wplink,media,wpeditimage,wpgallery,paste,tabfocus',
					'forced_root_block' => false,
					'force_br_newlines' => true,
					'force_p_newlines' => false,
					'convert_newlines_to_brs' => true
			));
		?>
		<td width="75%"><textarea name="_duration" id="_duration" cols="60"
				rows="4" style="width: 97%">
				<?php echo $duration; ?>
			</textarea> <!-- <textarea size="115px" type="text" name="" id="book_party"
			value="" id="blurb"/></td> -->
	
	</tr>
	<tr>
		<td width="25%" valign="top"><label for="subtitle">Add Tour
				Specification </label></td>
		<td width="75%"><textarea name="_specification" id="_specification"
				cols="60" rows="4" style="width: 97%">
				<?php echo $specification; ?>
			</textarea> <!-- <textarea size="115px" type="text" name="" id="book_party"
			value="" id="blurb"/></td> -->
	
	</tr>

</table>
<?php } 


/* Do something with the data entered */
add_action('save_post', 'cm_save_pagedata');
function cm_save_pagedata( $post_id ) {

	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	// Check permissions
	if ( 'tour' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ) )
			return $post_id;
	} else {
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}


	// OK, we're authenticated: we need to find and save the data
	$duration = $_POST['_duration'];
	update_post_meta($post_id,'_duration',$duration);
	$specification = $_POST['_specification'];
	update_post_meta($post_id,'_specification',$specification);
}


/* Adding meta box for service class*/


function service_meta_box() {
	add_meta_box( 'services_custom', 'Icone class name service', 'custom_services', 'services', 'normal', 'high' );
}


add_action('add_meta_boxes', 'service_meta_box');

function custom_services() {
	global $wpdb;
	global $post_ID;
	$class = get_post_meta($post_ID,'_class',true);
	 


	?>

<table width="100%">
	<tr>
		<td width="25%" valign="top"><label for="subtitle">Add Icon Class </label>
		</td>
		<td width="75%"><input type="text" name="_class" class="_class"
			value="<?php echo $class; ?>" />
		</td>
	</tr>


</table>
<?php } 


/* Do something with the data entered */
add_action('save_post', 'save_service_data');
function save_service_data( $post_id ) {

	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	// Check permissions
	if ( 'services' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ) )
			return $post_id;
	} else {
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}


	// OK, we're authenticated: we need to find and save the data
	$class = $_POST['_class'];
	update_post_meta($post_id,'_class',$class);
}

/* Adding meta box for Pages class*/


function pages_meta_box() {
	add_meta_box( 'page_custom', 'Header Banner', 'custom_pages', 'page', 'normal', 'high' );
}


add_action('add_meta_boxes', 'pages_meta_box');

function custom_pages() {
	global $wpdb;
	global $post_ID;
	$banner = get_post_meta($post_ID,'_banner',true);



	?>

<table width="100%">
	<tr>
		<td width="25%" valign="top"><label for="subtitle">Add Page Header Banner </label>
		</td>
		<td width="75%"><input type="text" name="_banner" class="_banner"
			value="<?php echo $banner; ?>" />
		</td>
	</tr>


</table>
<?php } 


/* Do something with the data entered */
add_action('save_post', 'save_pages_data');
function save_pages_data( $post_id ) {

	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	// Check permissions
	if ( 'page' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ) )
			return $post_id;
	} else {
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}


	// OK, we're authenticated: we need to find and save the data
	$banner = $_POST['_banner'];
	update_post_meta($post_id,'_banner',$banner);
}
 
/**Team**/
/* Adding meta box for Team class*/


function team_meta_box() {
	add_meta_box( 'team_custom', 'Member Designation', 'custom_team', 'team', 'normal', 'high' );
}


add_action('add_meta_boxes', 'team_meta_box');

function custom_team() {
	global $wpdb;
	global $post_ID;
	$desig = get_post_meta($post_ID,'_desig',true);



	?>

<table width="100%">
	<tr>
		<td width="25%" valign="top"><label for="subtitle">Desgnation</label>
		</td>
		<td width="75%"><input type="text" name="_desig" class="_desig"
			value="<?php echo $desig; ?>" />
		</td>
	</tr>


</table>
<?php } 


/* Do something with the data entered */
add_action('save_post', 'save_team_data');
function save_team_data( $post_id ) {

	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	// Check permissions
	if ( 'team' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ) )
			return $post_id;
	} else {
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}


	// OK, we're authenticated: we need to find and save the data
	$desig = $_POST['_desig'];
	update_post_meta($post_id,'_desig',$desig);
}