<?php
//----------------------------------------------
//--------------add theme support for thumbnails
//----------------------------------------------
if ( function_exists( 'add_theme_support')){
	add_theme_support( 'post-thumbnails' );
}
add_image_size( 'admin-list-thumb', 80, 80, true); //admin thumbnail



//----------------------------------------------
//----------register and label gallery post type
//----------------------------------------------
$gallery_labels = array(
		'name' => _x('Gallery', 'post type general name'),
		'singular_name' => _x('Gallery', 'post type singular name'),
		'add_new' => _x('Add New', 'gallery'),
		'add_new_item' => __("Add New Banner"),
		'edit_item' => __("Edit Banner"),
		'new_item' => __("New Banner"),
		'view_item' => __("View Banner"),
		'search_items' => __("Search Banner"),
		'not_found' =>  __('No Banner found'),
		'not_found_in_trash' => __('No Banner found in Trash'),
		'parent_item_colon' => ''

);
$gallery_args = array(
		'labels' => $gallery_labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'hierarchical' => false,
		'menu_position' => null,
		'menu_icon' => 'dashicons-slides',
		'capability_type' => 'post',
		'supports' => array('title','thumbnail')
		//'menu_icon' => get_bloginfo('template_directory') . '/images/photo-album.png' //16x16 png if you want an icon
);
register_post_type('gallery', $gallery_args);


//----------------------------------------------
//------------------------create custom taxonomy
//----------------------------------------------
//add_action( 'init', 'jss_create_gallery_taxonomies', 0);

function jss_create_gallery_taxonomies(){
	register_taxonomy(
			'phototype', 'gallery',
			array(
					'hierarchical'=> true,
					'label' => 'Banner',
					'singular_label' => 'Banner',
					'rewrite' => true
			)
	);
}


//----------------------------------------------
//--------------------------admin custom columns
//----------------------------------------------
//admin_init
add_action('manage_posts_custom_column', 'jss_custom_columns');
add_filter('manage_edit-gallery_columns', 'jss_add_new_gallery_columns');

function jss_add_new_gallery_columns( $columns ){
	$columns = array(
			'cb'				=>		'<input type="checkbox">',
			'jss_post_thumb'	=>		'Thumbnail',
			'title'				=>		'BannerTitle',
			/*'phototype'			=>		'Photo Type',*/
			'author'			=>		'Author',
			'date'				=>		'Date'

	);
	return $columns;
}

function jss_custom_columns( $column ){
	global $post;

	switch ($column) {
		case 'jss_post_thumb' : echo the_post_thumbnail('admin-list-thumb'); break;
		case 'description' : the_excerpt(); break;
		case 'phototype' : echo get_the_term_list( $post->ID, 'phototype', '', ', ',''); break;
	}
}

//add thumbnail images to column
add_filter('manage_posts_columns', 'jss_add_post_thumbnail_column', 5);
add_filter('manage_pages_columns', 'jss_add_post_thumbnail_column', 5);
add_filter('manage_custom_post_columns', 'jss_add_post_thumbnail_column', 5);

// Add the column
function jss_add_post_thumbnail_column($cols){
	$cols['jss_post_thumb'] = __('Thumbnail');
	return $cols;
}

function jss_display_post_thumbnail_column($col, $id){
	switch($col){
		case 'jss_post_thumb':
			if( function_exists('the_post_thumbnail') )
				echo the_post_thumbnail( 'admin-list-thumb' );
			else
				echo 'Not supported in this theme';
			break;
	}
}


/* media button with metaboxes*/
$prefix = '_';

$meta_box = array(
		'id' => 'my-meta-box',
		'title' => 'Banners Images',
		'page' => 'gallery',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
				/*array(
				 'name' => 'Thumb Image',
						'desc' => 'Select a Image',
						'id' => 'banner',
						'type' => 'text',
						'std' => ''
				),*/
				array(
						'name' => 'Thumb Image',
						'desc' => 'Select a Image',
						'id' => 'img_banner',
						'type' => 'textarea',
						'std' => ''
				),
				/*array(
				 'name' => 'Thumb Image',
						'desc' => 'Select a Image',
						'id' => 'banner',
						'type' => 'img',
						'std' => ''
				),*/
				array(
						'name' => '',
						'desc' => 'Select an After Image',
						'id' => 'upload_image_button',
						'type' => 'button',
						'std' => 'Upload Image',
						'class'=>'button-primary'
				),
		)
);

add_action('admin_menu', 'mytheme_add_box');

// Add meta box
function mytheme_add_box() {
	global $meta_box;

	add_meta_box($meta_box['id'], $meta_box['title'], 'mytheme_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
}

// Callback function to show fields in meta box
function mytheme_show_box() {
	global $meta_box, $post;

	// Use nonce for verification
	echo '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

	echo '<table class="form-table">';

	foreach ($meta_box['fields'] as $field) {
		// get current post meta data
		$meta = get_post_meta($post->ID, $field['id'], true);

		echo '<tr>',
		'<th style="width:20%"><label for="', $field['id'], '">', $field['name'], '</label></th>',
		'<td>';
		switch ($field['type']) {




			//If Text
			/*case 'text':
				echo '<input type="hidden" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
			'<br />', $field['desc'];
			break;*/
			//If Textarea
			case 'textarea':

				if (function_exists('wp_editor'))
					wp_editor(false, 'img_banner',array(
					'tinymce'=>true,
					'wpautop'=>false,
					'teeny'=>false,
					'quicktags'=>false
					/*
					 'media_buttons' => 'false',
					 'wpautop'=>'false',
					 'teeny'=>'false',
					 'tinymce'=>'false'*/));
				// attach the tiny mce editor to this textarea*/


				/*echo  '<textarea  name="', $field['id'], '" id="', $field['id'], '"rows="4" cols="72">', $meta ? $meta : $field['std'],'</textarea> <br />', $field['desc'];*/

				break;
				// if img case
			case 'img':
				echo '<img name="', $field['id'], '" id="', $field['id'], '" src="', $meta ? $meta : $field['std'], '" size="30" style="width:17%" />',
				'<br />', $field['desc'];
				break;

				//If Button

			case 'button':
				echo '<input type="button" name="', $field['id'], '" class="', $field['class'], '"id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';
				break;
		}
		echo 	'<td>',
		'</tr>';
	}

	echo '</table>';
}

add_action('save_post', 'mytheme_save_data');


// Save data from meta box
function mytheme_save_data($post_id) {
	global $meta_box;

	// verify nonce
	if (!wp_verify_nonce($_POST['mytheme_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}

	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}

	// check permissions
	if ('gallery' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}

	foreach ($meta_box['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];

		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
}

/*hiding tinymice buttons*/

function hide_tinymice_menurow(){
	echo '<style>
	#mce_31-body{
	display:none!important;}
	</style>';

}
function hide_buttons(){

	if ((isset($_REQUEST['post']))||($_REQUEST['post_type'])) {
		//$_REQUEST['post_type'];
		$post = get_post_type($_REQUEST['post']);
		$post_type = $_REQUEST['post_type'];;
		if(($post_type=='gallery')||($post=='gallery')){
			add_action('admin_head','hide_tinymice_menurow');
			//add_filter('mce_buttons_2','myplugin_tinymce_buttons');
		}
	}
}
add_action('init','hide_buttons');

//add_filter('media_upload_tabs', 'remove_media_library_tab');
//add_filter( 'media_view_strings', 'cor_media_view_strings' );
/**
 * Removes the media 'From URL' string.
 *
 * @see wp-includes|media.php
 */

function cor_media_view_strings($strings) {
	if ((isset($_REQUEST['post']))||(isset($_REQUEST['post_type']))) {
		$post_type = get_post_type($_REQUEST['post']);
		if($post_type=='gallery'){
			unset( $strings['setFeaturedImageTitle']);
			unset( $strings['insertFromUrlTitle']);
			/*unset( $strings['mediaLibraryTitle']);*/
			return $strings;
		}

		//die();
	}

}

function myplugin_tinymce_buttons($buttons)
{
	//Remove the text color selector
	$remove = 'forecolor,bold,italic';

	//Find the array key and then unset
	if ( ( $key = array_search($remove,$buttons) ) !== false )
		unset($buttons[$key]);

	return $buttons;
}